# Copyright (c) 2011 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


""" The :mod:`dip.ui.actions` module implements factories for a number of
well known :term:`actions<action>`.
"""


from .close_action import CloseAction
from .new_action import NewAction
from .open_action import OpenAction
from .quit_action import QuitAction
from .save_action import SaveAction
from .save_as_action import SaveAsAction
from .whats_this_action import WhatsThisAction
