# Copyright (c) 2012 Riverbank Computing Limited.


import os
from distutils.core import setup


# Get the list of packages to include.
packages = []

for dirpath, dirs, files in os.walk('dip'):
    if '__init__.py' in files:
        packages.append('.'.join(dirpath.split(os.sep)))
    else:
        del dirs[:]


# Get the name.
product_file = open('PRODUCT')
name = product_file.read().strip()
product_file.close()


# Get the version number.
version_file = open('VERSION')
version = version_file.read().strip()
version_file.close()


setup(
        name=name,
        version=version,
        description='DIP Application Framework',
        author='Riverbank Computing Limited',
        author_email='info@riverbankcomputing.com',
        url='http://www.riverbankcomputing.com/software/dip/',
        scripts=['dip-automate', 'dip-builder'],
        packages=packages
     )
